com.atlassian.clover.api.optimization

## Class OptimizationOptions

- java.lang.Object
- - com.atlassian.clover.api.optimization.OptimizationOptions

-     public class OptimizationOptions
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OptimizationOptions.Builder` Options for use with the clover `TestOptimizer` class.
    `static class` | `OptimizationOptions.TestSortOrder`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getInitString()`
    `com.atlassian.clover.Logger` | `getLogger()`
    `int` | `getMaxCompilesBeforeStaleSnapshot()`
    `java.lang.String` | `getOptimizableName()`
    `OptimizationOptions.TestSortOrder` | `getReorder()`
    `java.io.File` | `getSnapshotFile()`
    `boolean` | `isDebug()`
    `boolean` | `isEnabled()`
    `boolean` | `isMinimize()`
    `boolean` | `isReorderFailfast()`
    `boolean` | `isReordering()`
    `boolean` | `isReorderRandomly()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### isReorderFailfast

          public boolean isReorderFailfast()

    - #### isReordering

          public boolean isReordering()

    - #### isReorderRandomly

          public boolean isReorderRandomly()

    - #### isEnabled

          public boolean isEnabled()

    - #### isMinimize

          public boolean isMinimize()

    - #### getOptimizableName

          public java.lang.String getOptimizableName()

    - #### getReorder

          public OptimizationOptions.TestSortOrder getReorder()

    - #### isDebug

          public boolean isDebug()

    - #### getMaxCompilesBeforeStaleSnapshot

          public int getMaxCompilesBeforeStaleSnapshot()

    - #### getLogger

          public com.atlassian.clover.Logger getLogger()

    - #### getInitString

          public java.lang.String getInitString()

    - #### getSnapshotFile

          public java.io.File getSnapshotFile()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`